/* 
   eigenplane - find basis vectors for eigenplanes of an isometry of S^3 represented as a 4x4 matrix

   Copyright (C) 2004 Boud Roukema

   This program is free software; you can redistribute it and/or modify
   it under the terms of the GNU General Public License as published by
   the Free Software Foundation; either version 2, or (at your option)
   any later version.

   This program is distributed in the hope that it will be useful,
   but WITHOUT ANY WARRANTY; without even the implied warranty of
   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
   GNU General Public License for more details.

   You should have received a copy of the GNU General Public License
   along with this program; if not, write to the Free Software Foundation,
   Inc., 59 Temple Place - Suite 330, Boston, MA 02111-1307, USA.  

*/

/* This is a very simple wrapper file for someone needing a GPL random
generator and wishing to call it from a fortran program.  

This is NOT a high quality random generator, it is just the default
in the stdlib.h C library. 

For serious calculations like Monte Carlos or correlation functions, 
check documentation on your  C  installation or consider 
using something like  prng  from
 http://random.mat.sbg.ac.at/ 
 http://statistik.wu-wien.ac.at/prng/ 

The only problem with prng is that if you want a portable
configure/make/make install package, you will have to find a way to
get autoconf/automake to link with the libgcc.a file when using, e.g. f77
to the fortran program. g77 is not a problem, but if the aim is portability,
then more work is needed there.

The fortran declaration and call are simply:
      external randt
      real*8   randt

      real*8   x
      x=randt() */

#include <stdlib.h>
#include "system.h"


#define RANDT_F77 F77_FUNC(randt,RANDT)
#ifdef __cplusplus
extern "C"  /* prevent C++ name mangling */
#endif
double RANDT_F77(void);

double RANDT_F77(void)
{
  double r;
  /*  double xtest,ytest; */

  r= rand();
  r=r / RAND_MAX ;

  /*  xtest=rand();
  ytest=RAND_MAX;
  printf("C - xtest,ytest= %d %d \n",xtest,ytest); */

  return r; 
} ;

